from .template import Template


class RatingNeg(models.Model):
    """
    RatingNeg - это... FIXME: написать описание таблицы
    """

    id = models.IntegerField(
        primary_key=True
    )

    # ID METASERVICE
    id_metaservice = Template.id_metaservice

    # DATA
    count = models.IntegerField(
        help_text=""  # Написать описание поля
    )

    # OTHER
    is_global = Template.is_global
    is_visible = Template.is_visible

    # FK
    user_who = models.ForeignKey(
        get_user_model(),
        related_name="rating_neg_user_who",
        on_delete=models.DO_NOTHING,
        help_text="уникальный идентификатор инициатора договорных отношений"
    )
    user_whom = models.ForeignKey(
        get_user_model(),
        related_name="rating_neg_user_whom",
        on_delete=models.DO_NOTHING,
        help_text=" уникальный идентификатор того с кем связываются"
    )
    servicetype = models.ForeignKey(
        ServiceType,
        on_delete=models.DO_NOTHING,
        help_text="тип оказываемой услуги по классификатору услуг сервиса"
    )
